﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Post6348._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">

        function AddMarker() {

            var parser = Map1.GetMapParser();

            var markerOverlay = parser.map.getLayersByName('SimpleMarkerOverlay')[0];

            var size = new OpenLayers.Size(20, 20);
            var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
            var icon = new OpenLayers.Icon('theme/default/img/marker.gif', size, offset);
            var marker = new OpenLayers.Marker(new OpenLayers.LonLat(-100, 50), icon);
            marker.Id = "marker1";
            markerOverlay.addMarker(marker);
        }

        function RemoveMarker() {

            var parser = Map1.GetMapParser();

            var markerOverlay = parser.map.getLayersByName('SimpleMarkerOverlay')[0];

            for (var index = 0; index < markerOverlay.markers.length; index++) {

                if (markerOverlay.markers[index].Id == 'marker1') {

                    markerOverlay.removeMarker(markerOverlay.markers[index]);
                }
            }
        }    
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    <div>
        <input type="button" value="Add Marker" onclick="AddMarker()" /></div>
    <div>
        <input type="button" value="Delete Marker" onclick="RemoveMarker()" /></div>
    </form>
</body>
</html>
